/*!
 *Author: Mr.Almost
 *Author URI: http://www.ialmost.cn
 *Author QQ: 8759576
 */

/*返回顶部*/
$(window).scroll(function () {
    /*滚动高度*/
    var scrollTop = $(this).scrollTop();
    /*内容高度*/
    var contentH = $(document).height();
    /*可见高度*/
    var viewH = $(this).height();
    /*当滚动条的位置处于距顶部300像素以下时，跳转链接出现，否则消失*/
    if ($(window).scrollTop() > 300) {
        $(".share-top").fadeIn();
    } else {
        $(".share-top").fadeOut(0);
    }
    ;

    /*当滚动条的位置处于距底部小于等于300像素时，定义了一个改变位置的样式*/
    if (contentH - viewH - scrollTop <= 300) {
        $(".share-top").addClass('share-bottom');
    } else {
        $(".share-top").removeClass('share-bottom');
    }
    ;
});

/*当点击跳转链接后，回到页面顶部位置*/
$("#totop").click(function () {
    $('body,html').animate({scrollTop: 0}, 0);
    return false;
});